"""
Pricing data for OpenAI models.

This module contains the pricing data for OpenAI models in dictionary format.
This file is auto-generated by update_remote_pricing.py
Last updated: 2025-05-07 18:33:33
"""

# Pricing data in dollars per 1000 tokens (input/cached_input/output)
PRICING_DATA = {
    # Format: (model_name, version): {"input_price": float, "cached_input_price": float, "output_price": float}
    ("gpt-4.1", "gpt-4.1-2025-04-14"): {
        "input_price": 2.00,
        "cached_input_price": 0.500,
        "output_price": 8.00,
    },
    ("gpt-4.1-2025-04-14", "nan"): {
        "input_price": 2.00,
        "cached_input_price": 0.500,
        "output_price": 8.00,
    },
    ("gpt-4.1-mini", "gpt-4.1-mini-2025-04-14"): {
        "input_price": 0.40,
        "cached_input_price": 0.100,
        "output_price": 1.60,
    },
    ("gpt-4.1-mini-2025-04-14", "nan"): {
        "input_price": 0.40,
        "cached_input_price": 0.100,
        "output_price": 1.60,
    },
    ("gpt-4.1-nano", "gpt-4.1-nano-2025-04-14"): {
        "input_price": 0.10,
        "cached_input_price": 0.025,
        "output_price": 0.40,
    },
    ("gpt-4.1-nano-2025-04-14", "nan"): {
        "input_price": 0.10,
        "cached_input_price": 0.025,
        "output_price": 0.40,
    },
    ("gpt-4.5-preview", "gpt-4.5-preview-2025-02-27"): {
        "input_price": 75.00,
        "cached_input_price": 37.500,
        "output_price": 150.00,
    },
    ("gpt-4.5-preview-2025-02-27", "nan"): {
        "input_price": 75.00,
        "cached_input_price": 37.500,
        "output_price": 150.00,
    },
    ("gpt-4o", "gpt-4o-2024-08-06"): {
        "input_price": 2.50,
        "cached_input_price": 1.250,
        "output_price": 10.00,
    },
    ("gpt-4o-2024-11-20", "nan"): {
        "input_price": 2.50,
        "cached_input_price": 1.250,
        "output_price": 10.00,
    },
    ("gpt-4o-2024-08-06", "nan"): {
        "input_price": 2.50,
        "cached_input_price": 1.250,
        "output_price": 10.00,
    },
    ("gpt-4o-2024-05-13", "nan"): {
        "input_price": 5.00,
        "cached_input_price": 0.000,
        "output_price": 15.00,
    },
    ("gpt-4o-audio-preview", "gpt-4o-audio-preview-2024-12-17"): {
        "input_price": 2.50,
        "cached_input_price": 0.000,
        "output_price": 10.00,
    },
    ("gpt-4o-audio-preview-2024-12-17", "nan"): {
        "input_price": 2.50,
        "cached_input_price": 0.000,
        "output_price": 10.00,
    },
    ("gpt-4o-audio-preview-2024-10-01", "nan"): {
        "input_price": 2.50,
        "cached_input_price": 0.000,
        "output_price": 10.00,
    },
    ("gpt-4o-realtime-preview", "gpt-4o-realtime-preview-2024-12-17"): {
        "input_price": 5.00,
        "cached_input_price": 2.500,
        "output_price": 20.00,
    },
    ("gpt-4o-realtime-preview-2024-12-17", "nan"): {
        "input_price": 5.00,
        "cached_input_price": 2.500,
        "output_price": 20.00,
    },
    ("gpt-4o-realtime-preview-2024-10-01", "nan"): {
        "input_price": 5.00,
        "cached_input_price": 2.500,
        "output_price": 20.00,
    },
    ("gpt-4o-mini", "gpt-4o-mini-2024-07-18"): {
        "input_price": 0.15,
        "cached_input_price": 0.075,
        "output_price": 0.60,
    },
    ("gpt-4o-mini-2024-07-18", "nan"): {
        "input_price": 0.15,
        "cached_input_price": 0.075,
        "output_price": 0.60,
    },
    ("gpt-4o-mini-audio-preview", "gpt-4o-mini-audio-preview-2024-12-17"): {
        "input_price": 0.15,
        "cached_input_price": 0.000,
        "output_price": 0.60,
    },
    ("gpt-4o-mini-audio-preview-2024-12-17", "nan"): {
        "input_price": 0.15,
        "cached_input_price": 0.000,
        "output_price": 0.60,
    },
    ("gpt-4o-mini-realtime-preview", "gpt-4o-mini-realtime-preview-2024-12-17"): {
        "input_price": 0.60,
        "cached_input_price": 0.300,
        "output_price": 2.40,
    },
    ("gpt-4o-mini-realtime-preview-2024-12-17", "nan"): {
        "input_price": 0.60,
        "cached_input_price": 0.300,
        "output_price": 2.40,
    },
    ("o1", "o1-2024-12-17"): {
        "input_price": 15.00,
        "cached_input_price": 7.500,
        "output_price": 60.00,
    },
    ("o1-2024-12-17", "nan"): {
        "input_price": 15.00,
        "cached_input_price": 7.500,
        "output_price": 60.00,
    },
    ("o1-preview-2024-09-12", "nan"): {
        "input_price": 15.00,
        "cached_input_price": 7.500,
        "output_price": 60.00,
    },
    ("o1-pro", "o1-pro-2025-03-19"): {
        "input_price": 150.00,
        "cached_input_price": 0.000,
        "output_price": 600.00,
    },
    ("o1-pro-2025-03-19", "nan"): {
        "input_price": 150.00,
        "cached_input_price": 0.000,
        "output_price": 600.00,
    },
    ("o3", "o3-2025-04-16"): {
        "input_price": 10.00,
        "cached_input_price": 2.500,
        "output_price": 40.00,
    },
    ("o3-2025-04-16", "nan"): {
        "input_price": 10.00,
        "cached_input_price": 2.500,
        "output_price": 40.00,
    },
    ("o4-mini", "o4-mini-2025-04-16"): {
        "input_price": 1.10,
        "cached_input_price": 0.275,
        "output_price": 4.40,
    },
    ("o4-mini-2025-04-16", "nan"): {
        "input_price": 1.10,
        "cached_input_price": 0.275,
        "output_price": 4.40,
    },
    ("o3-mini", "o3-mini-2025-01-31"): {
        "input_price": 1.10,
        "cached_input_price": 0.550,
        "output_price": 4.40,
    },
    ("o3-mini-2025-01-31", "nan"): {
        "input_price": 1.10,
        "cached_input_price": 0.550,
        "output_price": 4.40,
    },
    ("o1-mini", "o1-mini-2024-09-12"): {
        "input_price": 1.10,
        "cached_input_price": 0.550,
        "output_price": 4.40,
    },
    ("o1-mini-2024-09-12", "nan"): {
        "input_price": 1.10,
        "cached_input_price": 0.550,
        "output_price": 4.40,
    },
    ("gpt-4o-mini-search-preview", "gpt-4o-mini-search-preview-2025-03-11"): {
        "input_price": 0.15,
        "cached_input_price": 0.000,
        "output_price": 0.60,
    },
    ("gpt-4o-mini-search-preview-2025-03-11", "nan"): {
        "input_price": 0.15,
        "cached_input_price": 0.000,
        "output_price": 0.60,
    },
    ("gpt-4o-search-preview", "gpt-4o-search-preview-2025-03-11"): {
        "input_price": 2.50,
        "cached_input_price": 0.000,
        "output_price": 10.00,
    },
    ("gpt-4o-search-preview-2025-03-11", "nan"): {
        "input_price": 2.50,
        "cached_input_price": 0.000,
        "output_price": 10.00,
    },
    ("computer-use-preview", "computer-use-preview-2025-03-11"): {
        "input_price": 3.00,
        "cached_input_price": 0.000,
        "output_price": 12.00,
    },
    ("computer-use-preview-2025-03-11", "nan"): {
        "input_price": 3.00,
        "cached_input_price": 0.000,
        "output_price": 12.00,
    },
    ("gpt-image-1", "gpt-image-1"): {
        "input_price": 5.00,
        "cached_input_price": 0.000,
        "output_price": 0.00,
    },
}
